*** 'xxx' needs to be replaced with the first three letters of the country.

************ BETWEEN PBOOKLET AND PFORM **********.
GET 
  FILE='C:\WinDem\SACMEQ2\xxx\pb_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

compute idpupil=idschool*100+pupil.
formats idpupil (f12.0).

compute bday =pbday*10000+pbmonth*100+pbyear .
formats bday (f6.0).

string class (a2).
if pclass=1 class="6A".
if pclass=2 class="6B".
if pclass=3 class="6C".
if pclass=4 class="6D".
if pclass=5 class="6E".
if pclass=6 class="6F".
if pclass=7 class="6G".
if pclass=8 class="6H".
if pclass=9 class="6I".
if pclass=10 class="6J".

string sex (a1).
if psex=1 sex="M".
if psex=2 sex="F".

compute abs=pabsent.
formats abs (f2.0).

SORT CASES BY
  idpupil (A) .

save OUTFILE='C:\WinDem\SACMEQ2\xxx\pbtemp.sav' /keep idschool idpupil bday 
pbday pbmonth pbyear class sex abs .

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pnf_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

compute idpupil=idschool*100+pupil.
formats idpupil (f12.0).

string cls (a2).
compute cls=ltrim(pfclass).
if cls="6a" cls="6A".
if cls="6b" cls="6B".
if cls="6c" cls="6C".
if cls="6d" cls="6D".
if cls="6e" cls="6E".
if cls="6f" cls="6F".
if cls="6g" cls="6G".
if cls="6h" cls="6H".
if cls="6i" cls="6I".
if cls="6j" cls="6J".

if pfsex="m" pfsex="M".
if pfsex="f" pfsex="F". 

compute fabs=pfabsent.
formats fabs (f2.0).

SORT CASES BY
  idpupil (A) .

save OUTFILE='C:\WinDem\SACMEQ2\xxx\pnftemp.sav' /keep idschool idpupil
 cls pfbirth pfsex fabs pfquest pfread pfmath.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pbtemp.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\xxx\pnftemp.sav'
 /BY idpupil.
EXECUTE.

USE ALL.
COMPUTE filter_$=(bday ~= pfbirth).
VARIABLE LABEL filter_$ 'bday ~= pfbirth (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool idpupil bday pbday pbmonth pbyear pfbirth
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(class ~= cls).
VARIABLE LABEL filter_$ 'class ~= cls (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool idpupil class cls
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(sex ~= pfsex).
VARIABLE LABEL filter_$ 'sex ~= pfsex (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool idpupil sex pfsex
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(abs ~= fabs).
VARIABLE LABEL filter_$ 'abs ~= fabs (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool idpupil abs fabs
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .


************ PARTICIPATION **************.
GET 
  FILE='C:\WinDem\SACMEQ2\xxx\pb_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

compute idpupil=idschool*100+pupil.
formats idpupil (f12.0).

sort cases by idpupil (a).

MATCH FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\xxx\pnftemp.sav'
 /BY idpupil.
EXECUTE.

USE ALL.
COMPUTE filter_$=(pfquest = "N" and not(missing(penglish))).
VARIABLE LABEL filter_$ 'pfquest = "N" and not(missing(penglish)) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idpupil pfquest penglish pstay pbookshm ppos01 ppos02 ppos03 ppos04
  ppos05 ppos06 ppos07 ppos08 ppos09 ppos10 ppos11 ppos12 ppos13 ppos14 plight
  plivs1 plivs2 plivs3 plivs4 plivs5 plivs6 plivs7 plivs8 pmeal1 pmeal2 pmeal3
  pmother pfather pfloor pwall proof pabsent pabwhy1 pabwhy2 pabwhy3 pabwhy4
  pabwhy5 pabwhy6 pabwhy7 prepeat prepeat6 pborrow pmat01 pmat02 pmat03 pmat04
  pmat05 pmat06 pmat07 pmat08 psit pwrite phmwkdon phmwkhlp pread pcalc
  pquestr pquestm plookwk pexteng pextmat pextoth pextpay phmwkr phmwkrc
  ptextr phmwkm phmwkmc ptextm
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(pfread = "N" and not(missing(pread01))).
VARIABLE LABEL filter_$ 'pfread = "N" and not(missing(pread01)) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idpupil pfread pread01 pread02 pread03 pread04 pread05 pread06
  pread07 pread08 pread09 pread10 pread11 pread12 pread13 pread14 pread15
  pread16 pread17 pread18 pread19 pread20 pread21 pread22 pread23 pread24
  pread25 pread26 pread27 pread28 pread29 pread30 pread31 pread32 pread33
  pread34 pread35 pread36 pread37 pread38 pread39 pread40 pread41 pread42
  pread43 pread44 pread45 pread46 pread47 pread48 pread49 pread50 pread51
  pread52 pread53 pread54 pread55 pread56 pread57 pread58 pread59 pread60
  pread61 pread62 pread63 pread64 pread65 pread66 pread67 pread68 pread69
  pread70 pread71 pread72 pread73 pread74 pread75 pread76 pread77 pread78
  pread79 pread80 pread81 pread82 pread83
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(pfmath = "N" and not(missing(pmath01))).
VARIABLE LABEL filter_$ 'pfmath = "N" and not(missing(pmath01)) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idpupil pfmath pmath01 pmath02 pmath03 pmath04 pmath05 pmath06
  pmath07 pmath08 pmath09 pmath10 pmath11 pmath12 pmath13 pmath14 pmath15
  pmath16 pmath17 pmath18 pmath19 pmath20 pmath21 pmath22 pmath23 pmath24
  pmath25 pmath26 pmath27 pmath28 pmath29 pmath30 pmath31 pmath32 pmath33
  pmath34 pmath35 pmath36 pmath37 pmath38 pmath39 pmath40 pmath41 pmath42
  pmath43 pmath44 pmath45 pmath46 pmath47 pmath48 pmath49 pmath50 pmath51
  pmath52 pmath53 pmath54 pmath55 pmath56 pmath57 pmath58 pmath59 pmath60
  pmath61 pmath62 pmath63
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(pfquest = "Y" and missing(penglish) and missing(ppos01) and
  missing(pabsent) and missing(prepeat) and missing(phmwkdon)).
VARIABLE LABEL filter_$ 'pfquest = "Y" and missing(penglish) and'+
 ' missing(ppos01) and missing(pabsent) and missing(prepeat) and missin...'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idpupil pfquest pclass pbday pbmonth pbyear psex penglish pstay
  pbookshm ppos01 ppos02 ppos03 ppos04 ppos05 ppos06 ppos07 ppos08 ppos09
  ppos10 ppos11 ppos12 ppos13 ppos14 plight plivs1 plivs2 plivs3 plivs4 plivs5
  plivs6 plivs7 plivs8 pmeal1 pmeal2 pmeal3 pmother pfather pfloor pwall proof
  pabsent pabwhy1 pabwhy2 pabwhy3 pabwhy4 pabwhy5 pabwhy6 pabwhy7 prepeat
  prepeat6 pborrow pmat01 pmat02 pmat03 pmat04 pmat05 pmat06 pmat07 pmat08
  psit pwrite phmwkdon phmwkhlp pread pcalc pquestr pquestm plookwk pexteng
  pextmat pextoth pextpay phmwkr phmwkrc ptextr phmwkm phmwkmc ptextm
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(pfread = "Y" and missing(pread01) and missing(pread05) and
  missing(pread10) and missing(pread15) and missing(pread20)).
VARIABLE LABEL filter_$ 'pfread = "Y" and missing(pread01) and'+
 ' missing(pread05) and missing(pread10) and missing(pread15) and missing...'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idpupil pfread pread01 pread02 pread03 pread04 pread05 pread06
  pread07 pread08 pread09 pread10 pread11 pread12 pread13 pread14 pread15
  pread16 pread17 pread18 pread19 pread20 pread21 pread22 pread23 pread24
  pread25 pread26 pread27 pread28 pread29 pread30 pread31 pread32 pread33
  pread34 pread35 pread36 pread37 pread38 pread39 pread40 pread41 pread42
  pread43 pread44 pread45 pread46 pread47 pread48 pread49 pread50 pread51
  pread52 pread53 pread54 pread55 pread56 pread57 pread58 pread59 pread60
  pread61 pread62 pread63 pread64 pread65 pread66 pread67 pread68 pread69
  pread70 pread71 pread72 pread73 pread74 pread75 pread76 pread77 pread78
  pread79 pread80 pread81 pread82 pread83
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(pfmath = "Y" and missing(pmath01) and missing(pmath05) and
  missing(pmath10) and missing(pmath15) and missing(pmath20)).
VARIABLE LABEL filter_$ 'pfmath = "Y" and missing(pmath01) and'+
 ' missing(pmath05) and missing(pmath10) and missing(pmath15) and missing...'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idpupil pfmath pmath01 pmath02 pmath03 pmath04 pmath05 pmath06
  pmath07 pmath08 pmath09 pmath10 pmath11 pmath12 pmath13 pmath14 pmath15
  pmath16 pmath17 pmath18 pmath19 pmath20 pmath21 pmath22 pmath23 pmath24
  pmath25 pmath26 pmath27 pmath28 pmath29 pmath30 pmath31 pmath32 pmath33
  pmath34 pmath35 pmath36 pmath37 pmath38 pmath39 pmath40 pmath41 pmath42
  pmath43 pmath44 pmath45 pmath46 pmath47 pmath48 pmath49 pmath50 pmath51
  pmath52 pmath53 pmath54 pmath55 pmath56 pmath57 pmath58 pmath59 pmath60
  pmath61 pmath62 pmath63
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .
