*** 'xxx' needs to be replaced with the first three letters of the country.

***** Inconsistencies between variables in Pupil Questionnaire *****.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pb_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

compute idpupil=idschool*100+pupil.
formats idpupil (f12.0).

USE ALL.
COMPUTE filter_$=(ppos13 ~= 2 and ppos04=2).
VARIABLE LABEL filter_$ 'ppos13 ~= 2 and ppos04=2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil ppos13 ppos04
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No electricity (PQ#7.13) but have a TV (PQ#7.04) at home'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(ppos13 ~= 2 and ppos05=2).
VARIABLE LABEL filter_$ 'ppos13 ~= 2 and ppos05=2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil ppos13 ppos05
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No electricity (PQ#7.13) but have a VCR (PQ#7.05) at home'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(ppos13 ~= 2 and ppos08=2).
VARIABLE LABEL filter_$ 'ppos13 ~= 2 and ppos08=2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil ppos13 ppos08
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No electricity (PQ#7.13) but have a refrigerator (PQ#7.08) at home'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(ppos13 ~= 2 and plight =5).
VARIABLE LABEL filter_$ 'ppos13 ~= 2 and plight =5 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil ppos13 plight
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No electricity (PQ#7.13) but have an electric light (PQ#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(ppos13 ~= 2 and ppos04=2 and ppos05=2 and ppos08=2 and plight =5).
VARIABLE LABEL filter_$ 'ppos13 ~= 2 and ppos04=2 and ppos05=2 and ppos08=2 and plight =5'
 + ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil ppos13 ppos04 ppos05 ppos08 plight
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No electricity but have a TV, a VCR and a refrigerator at home (PQ#7 and PQ#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(pabsent = 0 and pabwhy1 ~= 2).
VARIABLE LABEL filter_$ 'pabsent = 0 and pabwhy1 ~= 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil pabsent pabwhy1
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No absence (PQ#16) but no tick on "I was not absent" option (PQ#17.1)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(pabsent = 0 and (pabwhy2=2 or pabwhy3=2 or pabwhy4=2 or
  pabwhy5=2 or pabwhy6=2 or pabwhy7=2 )).
VARIABLE LABEL filter_$ 'pabsent = 0 and (pabwhy2=2 or pabwhy3=2 or pabwhy4=2'+
 ' or pabwhy5=2 or pabwhy6=2 or pabwhy7=2 ) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TITLE 'No absence (PQ#16) but ticked at least one of the reasons (PQ#17.2-17.7) '.
list region district idschool idpupil pabsent pabwhy2 pabwhy3 pabwhy4 pabwhy5
   pabwhy6 pabwhy7.

USE ALL.
COMPUTE filter_$=(pabsent  ~= 0 and pabwhy1 = 2).
VARIABLE LABEL filter_$ 'pabsent  ~= 0 and pabwhy1 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil pabsent pabwhy1
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'At least one day of absence (PQ#16) but ticked "I was not absent" (PQ#17.1)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(prepeat =1 and prepeat6 = 2).
VARIABLE LABEL filter_$ 'prepeat = 1 and prepeat6 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil prepeat prepeat6
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Never repeated (PQ#18) but repeating Grade 6 (PQ#19)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(phmwkdon = 1 and phmwkhlp ~= 1).
VARIABLE LABEL filter_$ 'phmwkdon = 1 and phmwkhlp ~= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil phmwkdon phmwkhlp
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=   'No homework on PQ#24 but did not tick "no homework" on PQ#25'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(phmwkdon ~= 1 and phmwkhlp = 1).
VARIABLE LABEL filter_$ 'phmwkdon ~= 1 and phmwkhlp = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil phmwkdon phmwkhlp
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Did not tick "no homework" on PQ#24 but ticked "no homework" on PQ#25'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=((pexteng ~= 2 and pextmat ~= 2 and pextoth ~= 2) and
  pextpay ~= 1).
VARIABLE LABEL filter_$ '(pexteng ~= 2 and pextmat ~= 2 and pextoth ~= 2) and'+
 ' pextpay ~= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil pexteng pextmat pextoth pextpay
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No tick on any subject on extra tuition (PQ#31) but no tick on "I do not take extra tuition" in PQ#32'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=((pexteng = 2 or pextmat = 2 or pextoth = 2) and pextpay =
  1).
VARIABLE LABEL filter_$ '(pexteng = 2 or pextmat = 2 or pextoth = 2) and'+
 ' pextpay = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil pexteng pextmat pextoth pextpay
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'At least one subject on extra tuition (PQ#31) but ticked "I do not take extra tuition" on PQ#32'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(phmwkr = 1 and phmwkrc ~= 1).
VARIABLE LABEL filter_$ 'phmwkr = 1 and phmwkrc ~= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil phmwkr phmwkrc
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Ticked "no reading homework" on PQ#33 but did not tick "no reading homework" on PQ#34'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(phmwkr ~= 1 and phmwkrc  =1).
VARIABLE LABEL filter_$ 'phmwkr = 1 and phmwkrc ~= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil phmwkr phmwkrc
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No tick "no reading homework" on PQ#33 but ticked "no reading homework" on PQ#34'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(phmwkm = 1 and phmwkmc ~= 1).
VARIABLE LABEL filter_$ 'phmwkm = 1 and phmwkmc ~= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil phmwkm phmwkmc
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Ticked "no math homework" on PQ#36 but no tick on "no math homework" on PQ#37'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(phmwkm ~= 1 and phmwkmc  =1).
VARIABLE LABEL filter_$ 'phmwkm = 1 and phmwkmc ~= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district idschool idpupil phmwkm phmwkmc
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No tick on "no math homework" on PQ#36 but ticked "no math homework" on PQ#37'
  /MISSING=VARIABLE
  /CELLS=COUNT .

***** Inconsistencies between variables in Teacher Questionnaire *****.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\tb_xxx.SAV'.
EXECUTE .

string ids (a10).
compute ids=string(school,f10).

string idt (a13).
compute idt=concat(ids,idteach).

USE ALL.
COMPUTE filter_$=(tinservc = 0 and tinservd ~= 0).
VARIABLE LABEL filter_$ 'tinservc = 0 and tinservd ~= 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tinservc tinservd
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Teachers with no in-service course but days (TQ#7 & 8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tinservc ~= 0 and tinservd=  0).
VARIABLE LABEL filter_$ 'tinservc ~= 0 and tinservd=  0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tinservc tinservd
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Teachers with some in-service courses but 0 days (TQ#7 & 8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tinservc = 0 and tinservd=0 and tinserve ~= 1).
VARIABLE LABEL filter_$ 'tinservc = 0 and tinservd=0 and tinserve ~= 1'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tinservc tinservd tinserve 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No in-service course (TQ#7) and no days (TQ#8) but did not tick option 1 for TQ#9'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=((tinservc  ~=  0 or tinservd ~= 0) and tinserve = 1).
VARIABLE LABEL filter_$ '(tinservc  ~=  0 or tinservd ~= 0) and tinserve = 1'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tinservc tinservc tinservd tinserve 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Teachers who ticked option 1 for TQ#9 but had non-zero number in TQ#7 or TQ#8'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tclbooks ~= 0 and tcres6 ~= 2).
VARIABLE LABEL filter_$ 'tclbooks ~= 0 and tcres6 ~= 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tinservc tclbooks  tcres6  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Non-zero books in a classroom library (TQ#10) but answered no to TQ#12.6'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tclbooks = 0 and tcres6 = 2).
VARIABLE LABEL filter_$ 'tclbooks = 0 and tcres6 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt  tclbooks  tcres6  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No books in a classroom library (TQ#10) but answered yes to TQ#12.6'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tmeetpar = 1 and tmeeusua ~= 0).
VARIABLE LABEL filter_$ 'tmeetpar = 1 and tmeeusua ~= 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tmeetpar  tmeeusua  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Teacher never meets parents (TQ#17) but non-zero % of parents meet the teacher (TQ#18)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tmeetpar ~= 1 and tmeeusua = 0).
VARIABLE LABEL filter_$ 'tmeetpar ~= 1 and tmeeusua = 0(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tmeetpar  tmeeusua  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Teacher meets parents (TQ#17) but 0 % of parents meet the teacher (TQ#18)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tins98="NA" and  tins99="NA" and  tins00="NA" and  (tinsp01
  <= 2 or  tinsp02 <= 2 or  tinsp03 <= 2 or  tinsp04 <= 2 or  tinsp05 <= 2 or
  tinsp06 <= 2 or  tinsp07 <= 2 or  tinsp08 <= 2 or  tinsp09 <= 2 or  tinsp10
  <= 2 or  tinsp11 <= 2 or  tinsp12 <= 2  )).
VARIABLE LABEL filter_$ 'tins98="NA" and  tins99="NA" and  tins00="NA" and '+
 ' (tinsp01 <= 2 or  tinsp02 <= 2 or  tinsp03 <= 2 or  tinsp... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

  TITLE 'Inspector does not exist (TQ#19.1) but responded at least one inspector activity (TQ#20)'.
  list region district ids idt tins98 tins99 tins00 tinsp01 to tinsp12.

USE ALL.
COMPUTE filter_$=(tins98 ~= "NA" and  tins99 ~= "NA" and  tins00 ~= "NA" and
  (missing(tinsp01) or missing(tinsp02) or missing(tinsp03) or
  missing(tinsp04) or missing(tinsp05) or missing(tinsp06) or missing(tinsp07)
  or missing(tinsp08) or missing(tinsp09) or missing(tinsp10) or
  missing(tinsp11) or missing(tinsp12))).
VARIABLE LABEL filter_$ 'tins98 ~= "NA" and  tins99 ~= "NA" and  tins00 ~='+
 ' "NA" and  (missing(tinsp01) or missing(tinsp02) or missing... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

  TITLE 'Inspector exists (TQ#19.1) but did not respond at least one inspector activity (TQ#20)'.
 list region district ids idt tins98 tins99 tins00 tinsp01 to tinsp12.

USE ALL.
COMPUTE filter_$=(tadv98="NA" and  tadv99="NA" and  tadv00="NA" and  (tadv01
  <= 2 or  tadv02 <= 2 or  tadv03 <= 2 or  tadv04 <= 2 or  tadv05 <= 2 or
  tadv06 <= 2 or  tadv07 <= 2 or  tadv08 <= 2 or  tadv09 <= 2 or  tadv10
  <= 2 or  tadv11 <= 2 or  tadv12 <= 2  )).
VARIABLE LABEL filter_$ 'tadv98="NA" and  tadv99="NA" and  tadv00="NA" and '+
 ' (tadv01 <= 2 or  tadv02 <= 2 or  tadv03 <= 2 or  tadv... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TITLE 'Advisor does not exist (TQ#19.2) but responded at least one advisor activity (TQ#21)'.
list region district ids idt tadv98 tadv99 tadv00 tadv01 to tadv12.

USE ALL.
COMPUTE filter_$=(tadv98 ~= "NA" and  tadv99 ~= "NA" and  tadv00 ~= "NA" and
  (missing(tadv01) or missing(tadv02) or missing(tadv03) or
  missing(tadv04) or missing(tadv05) or missing(tadv06) or missing(tadv07)
  or missing(tadv08) or missing(tadv09) or missing(tadv10) or
  missing(tadv11) or missing(tadv12))).
VARIABLE LABEL filter_$ 'tadv98 ~= "NA" and  tadv99 ~= "NA" and  tadv00 ~='+
 ' "NA" and  (missing(tadv01) or missing(tadv02) or missing... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TITLE  'Advisor exists (TQ#19.2) but did not respond at least one advisor activity (TQ#21)'.
list region district ids idt tadv98 tadv99 tadv00 tadv01 to tadv12.

USE ALL.
COMPUTE filter_$=(trescent  ~= 2 and tresused ~=  1).
VARIABLE LABEL filter_$ 'trescent  ~= 2 and tresused ~=  1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt trescent  tresused
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No education resource centre (TQ#23) but there is in TQ#24'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(trescent =2 and tresused =  1).
VARIABLE LABEL filter_$ 'trescent =2 and tresused =  1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt trescent  tresused
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'There is an education resource centre (TQ#23) but there is no EC in TQ#24'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tresused ~= 3 and (tresuse1 <= 2 or tresuse2 <= 2 or
  tresuse3 <= 2 or tresuse4 <= 2 or tresuse5 <= 2 or tresuse6 <= 2 )).
VARIABLE LABEL filter_$ 'tresused ~= 3 and (tresuse1 <= 2 or tresuse2 <= 2 or'+
 ' tresuse3 <= 2 or tresuse4 <= 2 or tresuse5 <= 2 or tres... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TITLE  'Education resource centre not used but activities were responded (TQ#24)'.
list region district ids idt trescent  tresused tresuse1 to tresuse6.

USE ALL.
COMPUTE filter_$=(tresused = 3 and tresuse1 ~= 2 and  tresuse2 ~= 2 and
  tresuse3 ~= 2 and  tresuse4 ~= 2 and  tresuse5 ~= 2 and  tresuse6 ~= 2 ).
VARIABLE LABEL filter_$ 'tresused = 3 and tresuse1 ~= 2 and  tresuse2 ~= 2'+
 ' and  tresuse3 ~= 2 and  tresuse4 ~= 2 and  tresuse5 ~= 2 a... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TITLE  'Education resource centre used but no activities is Yes (TQ#24)'.
list region district ids idt trescent  tresused tresuse1 to tresuse6.

USE ALL.
COMPUTE filter_$=( tpos13 ~= 2 and tpos04=2).
VARIABLE LABEL filter_$ 'tpos13 ~= 2 and tpos04=2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tpos13 tpos04
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Teachers who have no electricity (TQ#27.13) but have a TV (TQ#27.04) at home'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tpos13 ~= 2 and tpos05=2).
VARIABLE LABEL filter_$ 'tpos13 ~= 2 and tpos05=2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tpos13 tpos05
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Teachers who have no electricity (TQ#27.13) but have a VCR (TQ#27.05) at home'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tpos13 ~= 2 and tpos08=2).
VARIABLE LABEL filter_$ 'tpos13 ~= 2 and tpos08=2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tpos13 tpos08
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Teachers who have no electricity (TQ#27.13) but have a refrigerator (TQ#27.08) at home'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tpos13 ~= 2 and tlight  =4).
VARIABLE LABEL filter_$ 'tpos13 ~= 2 and tlight  =4 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tpos13 tlight
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Teachers who have no electricity (TQ#27.13) but have an electric light (TQ#29)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(tpos13 ~= 2 and tpos04=2 and tpos05=2 and tpos08=2 and tlight =4).
VARIABLE LABEL filter_$ 'tpos13 ~= 2 and tpos04=2 and tpos05=2 and tpos08=2 and tlight =4'
 + ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district ids idt tpos13 tpos04 tpos05 tpos08 tlight
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Teachers who have no electricity but have a TV, a VCR and a refrigerator at home (TQ#27 & #29)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

***** Inconsistencies between variables in School Head Questionnaire *****.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\shq_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

USE ALL.
COMPUTE filter_$=(sqspec = 1 and sqspecwk > 0).
VARIABLE LABEL filter_$ 'sqspec = 1 and sqspecwk > 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sqspec sqspecwk
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='SH had no specialized training but filled in the boxes for how many weeks (SQ#5) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(sqspec = 2 and (sqspecwk = 0 or missing(sqspecwk))).
VARIABLE LABEL filter_$ 'sqspec = 2 and (sqspecwk = 0 or missing(sqspecwk)) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sqspec sqspecwk
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='SH had specialized training but had 0 weeks of training or not filled in'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(speriods=0 and sminutes ~= 0).
VARIABLE LABEL filter_$ 'speriods=0 and sminutes ~= 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool speriods sminutes
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='SH put 0 lessons to teach (SQ#7) but put non-zero minutes (SQ#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(speriods ~= 0 and (missing(sminutes) or sminutes =0)).
VARIABLE LABEL filter_$ speriods ~= 0 and (missing(sminutes) or sminutes =0) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool speriods sminutes
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='SH put non-zero lessons to teach (SQ#7) but put 0 minutes or missing (SQ#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(sexpthis > sexpall).
VARIABLE LABEL filter_$ 'sexpthis > sexpall (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sexpthis sexpall
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='SH at this school (SQ#9) is longer than SH altogether (SQ#10)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=( sexpall> sexptch ).
VARIABLE LABEL filter_$ 'sexpall> sexptch  (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sexpall sexptch
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='SH altogether (SQ#10) is longer than total # of years teaching (SQ#6) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(stchpm + stchpf + stchtm + stchtf + stchsm + stchsf ~=
  stchtot1).
VARIABLE LABEL filter_$ 'stchpm + stchpf + stchtm + stchtf + stchsm + stchsf'+
 ' ~= stchtot1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool stchpm stchpf stchtm stchtf stchsm stchsf stchtot1
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Sub-questions of SQ#15 do not add up to the total # of teachers '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(stchprim + stchseco + stchtert  ~= stchtot2).
VARIABLE LABEL filter_$ 'stchprim + stchseco + stchtert  ~= stchtot2'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool stchprim  stchseco  stchtert   stchtot2
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Sub-questions of SQ#16 do not add up to the total # of teachers '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(stchnott + stchshor + stch1yr + stch2yr + stch3yr +
  stchmore ~= stchtot3).
VARIABLE LABEL filter_$ 'stchnott + stchshor + stch1yr + stch2yr + stch3yr +'+
 ' stchmore ~= stchtot3 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool stchnott  stchshor  stch1yr  stch2yr  stch3yr   stchmore  stchtot3
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Sub-questions of SQ#17 do not add up to the total # of teachers '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(stchtot1 ~=  stchtot2 or stchtot2 ~=   stchtot3 or stchtot3
  ~=  stchtot1 ).
VARIABLE LABEL filter_$ 'stchtot1 ~=  stchtot2 or stchtot2 ~=   stchtot3 or'+
 ' stchtot3 ~=  stchtot1  (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool stchtot1 stchtot2 stchtot3
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Teachers totals do not match each other (SQ#15, 16, 17)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(spupboy + spupgirl ~= ssess1p + ssess2p + ssess3p + ssess4p
  + ssess5p + ssess6p).
VARIABLE LABEL filter_$ 'spupboy + spupgirl ~= ssess1p + ssess2p + ssess3p +'+
 ' ssess4p + ssess5p + ssess6p (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

title 'Total of boys and girls (SQ#18) does not match the total of pupils in all shifts (SQ#22) '.
list   region district school sch_rept  spupboy  spupgirl  ssess1p  ssess2p  ssess3p  ssess4p
   ssess5p  ssess6p. 

USE ALL.
COMPUTE filter_$=(sclass ~= ssess1c + ssess2c + ssess3c + ssess4c + ssess5c +
  ssess6c).
VARIABLE LABEL filter_$ 'sclass ~= ssess1c + ssess2c + ssess3c + ssess4c +'+
 ' ssess5c + ssess6c (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

title '# of classes (SQ#20) does not match the total # of classes in all shifts (SQ#22) '.
list   region district school sch_rept  sclass  ssess1c  ssess2c  ssess3c  ssess4c  ssess5c ssess6c. 

USE ALL.
COMPUTE filter_$=(syrinsp  <= 5 and sins1998 ~= 0).
VARIABLE LABEL filter_$ 'syrinsp  <= 5 and sins1998 ~= 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool syrinsp  sins1998
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Last inspection was before 1998 (SQ#23) but filled in # of visits since 1998 (SQ#24) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(syrinsp  <= 5 and (sinsp01 ~= 0 or  sinsp02 ~= 0 or
  sinsp03  ~= 0 or sinsp04 ~= 0 or  sinsp05  ~= 0 or sinsp06  ~= 0 or sinsp07
  ~= 0 or sinsp08 ~= 0 )).
VARIABLE LABEL filter_$ 'syrinsp  <= 5 and (sinsp01 ~= 0 or  sinsp02 ~= 0 or '+
 ' sinsp03  ~= 0 or sinsp04 ~= 0 or  sinsp05  .... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

title 'Last inspection was before 1998 (SQ#23) but filled in # of visits for specific purposes since 1998 (SQ#25.1-25.8) '.
list   region district school sch_rept  syrinsp  sinsp01 sinsp02   sinsp03 sinsp04 sinsp05  sinsp06
 sinsp07  sinsp08 . 

USE ALL.
COMPUTE filter_$=(syrinsp   >= 6 and sins1998=0  and sinsp01 = 0 and sinsp02
  = 0 and sinsp03  = 0 and sinsp04 = 0 and sinsp05  = 0 and sinsp06  = 0 and
  sinsp07  = 0 and sinsp08=0 ).
VARIABLE LABEL filter_$ 'syrinsp   >= 6 and sins1998=0  and sinsp01 = 0 and'+
 ' sinsp02 = 0 and sinsp03  = 0 and sinsp04 = 0 and sinsp05 ... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

title 'Last inspection was 1998 or after (SQ#23) but filled in with 0 for the visits (SQ#24) and visits for specific purposes (SQ#25.1-25.8) '.
list   region district school sch_rept  syrinsp  sins1998 sinsp01 sinsp02   sinsp03 sinsp04 sinsp05
  sinsp06 sinsp07  sinsp08 . 

USE ALL.
COMPUTE filter_$=(scntr ~= 3 and scntrvis ~= 0).
VARIABLE LABEL filter_$ 'scntr ~= 3 and scntrvis ~= 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool scntr scntrvis
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Resource centre option is 1 or 2 but filled with a non-zero value after option 3 (SQ#26) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(scntr = 3 and (scntrvis = 0 or missing(scntrvis ))).
VARIABLE LABEL filter_$ 'scntr = 3 and (scntrvis = 0 or missing(scntrvis ))'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool scntr scntrvis
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Resource centre option is 3 but no value for the # of visits (SQ#26) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(scntr = 1and scntrsrv  ~= 1).
VARIABLE LABEL filter_$ 'scntr = 1and scntrsrv ~= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool scntr scntrsrv
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=   'SH ticked "no education centre" for SQ#26 but did not tick "no education centre" for SQ#27 '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(scntr ~=1and scntrsrv  = 1).
VARIABLE LABEL filter_$ 'scntr ~=1and scntrsrv  = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool scntr scntrsrv
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=   'SH did not tick "no education centre" for SQ#26 but ticked "no education centre" for SQ#27 '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(sclrmper = 0 and sareaper ~= 0).
VARIABLE LABEL filter_$ 'sclrmper = 0 and sareaper ~= 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sclrmper sareaper
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=   'No permanent classrooms (SQ#34.1) but there are areas for them (SQ#35.1) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(sclrmper  ~= 0 and sareaper = 0).
VARIABLE LABEL filter_$ 'sclrmper  ~= 0 and sareaper = 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sclrmper sareaper
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=   'Non-zero permanent classrooms (SQ#34.1) but no areas for them (SQ#35.1) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=( sclrmtem  = 0 and sareatem ~= 0).
VARIABLE LABEL filter_$ sclrmtem = 0 and sareatem ~= 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sclrmtem sareatem
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=   'No temporary classrooms (SQ#34.2) but there are areas for them (SQ#35.2) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(sclrmtem  ~= 0 and sareatem = 0).
VARIABLE LABEL filter_$ 'sclrmtem  ~= 0 and sareatem = 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sclrmtem   sareatem 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=   'Non-zero temporary classrooms (SQ#34.2) but no areas for them (SQ#35.2) '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(sres09 = 1 and (sres11=2 or sres15=2 or sres16=2 or
  sres17=2 or sres18=2 or sres19=2 or sres20=2 or sres21=2)).
VARIABLE LABEL filter_$ 'sres09 = 1 and (sres11=2 or sres15=2 or sres16=2 or'+
 ' sres17=2 or sres18=2 or sres19=2 or sres20=2 or sres21=2) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

title 'No electricity at school (SQ#38.09) but they have some items requiring electricity '.
list   region district school sch_rept sres09 sres11 sres15 sres16 sres17 sres18   sres19 sres20 sres21. 

USE ALL.
COMPUTE filter_$=(sres01 = 1 and sborrow ~= 1).
VARIABLE LABEL filter_$ 'sres01 = 1 and sborrow ~= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sres01 sborrow
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=    'No library (SQ#38.01) but did not tick "no library" in SQ#39 '
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(sres01 = 2 and sborrow= 1).
VARIABLE LABEL filter_$ 'sres01 = 2 and sborrow= 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sres01 sborrow
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=    'Have library (SQ#38.01) but ticked "no library" in SQ#39 '
  /MISSING=VARIABLE
  /CELLS=COUNT .

